Bug 8648 - searchResults uses SQL query rather than GetMarcFromKohaField
Summary: searchResults uses SQL query rather than GetMarcFromKohaField
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Jared Camins-Esakov
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks: 8649
  Show dependency treegraph
 
Reported: 2012-08-15 16:34 UTC by Jared Camins-Esakov
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8648: searchResults uses SQL query rather than GetMarcFromKohaField (1.33 KB, patch)
2012-08-15 19:49 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8648: searchResults uses SQL query rather than GetMarcFromKohaField (1.35 KB, patch)
2012-08-16 09:48 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-08-15 16:34:27 UTC
Around line 1470-something:

    my $sth =
      $dbh->prepare(
"SELECT tagfield FROM marc_subfield_structure WHERE kohafield LIKE 'items.itemnumber'"
      );
    $sth->execute;
Comment 1 Jared Camins-Esakov 2012-08-15 19:49:36 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2012-08-16 09:48:24 UTC
Created attachment 11635 [details] [review]
[SIGNED-OFF] Bug 8648: searchResults uses SQL query rather than GetMarcFromKohaField

Simple change.
Does not break anything.
Save 1 query to database because result of GetMarcFromKohaField is cached.
Signed off.
Comment 3 Jonathan Druart 2012-08-16 12:24:12 UTC
QA Comment:

use the routine GetMarcFromKohaField instead of execute an sql query.

Marked as Passed QA
Comment 4 Chris Cormack 2012-08-29 21:48:45 UTC
Pushed to 3.8.x, will be in 3.8.5